Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004592TestLinkInstallerpublic2011-06-08 12:032015-04-27 04:46
Reporterabbey4u 
Assigned Tofman 
PriorityhighSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.0 Alpha 2 
Fixed in Version1.9.13 (2015 #1) 
Summary0004592: Issue with installation with PHP 5.2
DescriptionI am trying to install on windows 7 64 bit, and is running into problem. The installer creates db schema but then gives error


Warning: Call-time pass-by-reference has been deprecated in C:\testlinkalpha\lib\functions\treeMenu.inc.php on line 803

Warning: Call-time pass-by-reference has been deprecated in C:\testlinkalpha\lib\functions\tlUser.class.php on line 1068
Steps To Reproduce1. Follow the normal installation process, put in db information in (https://localhost/testlink/s3/install/installDbInput.php? [^]) page and click on proceed.
2. It says success but then two warning message appears

Warning: Call-time pass-by-reference has been deprecated in C:\testlinkalpha\lib\functions\treeMenu.inc.php on line 803

Warning: Call-time pass-by-reference has been deprecated in C:\testlinkalpha\lib\functions\tlUser.class.php on line 1068
Additional InformationWhen i changed the version to php 5.3 it started working
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL 5.2
BrowserFirefox, Chrome
PHP Version5.2
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Filesjpg file icon TestLink installation.jpg [^] (135,686 bytes) 2011-06-08 12:03

- Relationships

-  Notes
(0015185)
fman (administrator)
2011-06-08 18:23

what is the issue ?
this ?
>> Warning: Call-time pass-by-reference has been deprecated in C:\testlinkalpha\lib\functions\treeMenu.inc.php on line 803
(0015204)
abbey4u (reporter)
2011-06-09 11:26

Yes, and after that when i try to login, index.php page opens but is blank.
(0015205)
Julian (reporter)
2011-06-09 11:58

Doubt this is the issue...
but feel free to remove the "&" on function calls in the lines you mentioned and let us know.

$test_spec = getTestSpec4ExecTree($tplan_mgr->tree_manager,$env,$my['filters']);
AND
while( !$this->auth_is_cookie_string_unique($db,$t_cookie_string ) );
(0015212)
abbey4u (reporter)
2011-06-10 03:32

Yes, after removing the "&", it worked.
(0015217)
Julian (reporter)
2011-06-10 07:17

http://gitorious.org/testlink-ga/testlink-code/commit/3d8d5d6af9f98b9256b350496b3ca5302df1d2fa [^]
(0023214)
Mr.Bricodage (updater)
2015-04-26 16:47

modifications applied to branch 1.9

- Issue History
Date Modified Username Field Change
2011-06-08 12:03 abbey4u New Issue
2011-06-08 12:03 abbey4u File Added: TestLink installation.jpg
2011-06-08 18:23 fman Note Added: 0015185
2011-06-09 11:26 abbey4u Note Added: 0015204
2011-06-09 11:58 Julian Note Added: 0015205
2011-06-10 03:32 abbey4u Note Added: 0015212
2011-06-10 07:17 Julian Note Added: 0015217
2011-06-10 07:17 Julian Status new => resolved
2011-06-10 07:17 Julian Fixed in Version => 2.0 Alpha 3
2011-06-10 07:17 Julian Resolution open => fixed
2011-06-10 07:17 Julian Assigned To => Julian
2015-04-26 15:33 Mr.Bricodage Relationship added child of 0007083
2015-04-26 16:47 Mr.Bricodage Note Added: 0023214
2015-04-27 04:46 fman QA Team - Task Workflow Status => READY FOR TESTING
2015-04-27 04:46 fman Status resolved => closed
2015-04-27 04:46 fman Assigned To Julian => fman
2015-04-27 04:46 fman Fixed in Version 2.0 Alpha 3 => 1.9.13 (2015 #1)
2015-04-28 18:00 Mr.Bricodage Relationship deleted child of 0007083



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker